#include "widget.h"
#include "ui_widget.h"
#include <iostream>
#include <qwt_compass.h>
#include <qwt_compass_rose.h>
#include <qwt_dial_needle.h>

using namespace  std;

// ____________________________________________________________ Application interface constructeur
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);


    // l'IHM
    this->setWindowTitle("demo qwt compass - 1.00\t\t");

    compass = new QwtCompass(ui->frameCompas);
    compass->setGeometry(0,0,200,200);
    QwtCompassScaleDraw *scaleDraw = new QwtCompassScaleDraw();
    scaleDraw->enableComponent( QwtAbstractScaleDraw::Ticks, true );
    scaleDraw->enableComponent( QwtAbstractScaleDraw::Labels, true );
    scaleDraw->enableComponent( QwtAbstractScaleDraw::Backbone, false );
    scaleDraw->setTickLength( QwtScaleDiv::MinorTick, 0 );
    scaleDraw->setTickLength( QwtScaleDiv::MediumTick, 0 );
    scaleDraw->setTickLength( QwtScaleDiv::MajorTick, 3 );
    compass->setScaleDraw( scaleDraw );
    compass->setNeedle( new QwtCompassMagnetNeedle(
                            QwtCompassMagnetNeedle::TriangleStyle, Qt::white, Qt::red ) );

}

//                                      Destructeur
Widget::~Widget()
{
    delete ui;
}


void Widget::on_horizontalSlider_sliderMoved(int position)
{
    compass->setValue((float)position);
}
